<template>
    <div class="new-test">
        <div class="new-test-icon">
            <img :src="url">
            <div class="new-test-text-wrapper">
                <div class="new-test-text">{{ text1 }}</div>
                <div class="new-test-text">{{ text2 }}</div>
            </div>
        </div>
        <div class="new-test-content">
            <el-button class="block-button" type="primary" size="small" :disabled="!to" @click="routeTo">新建试验</el-button>
        </div>
    </div>
</template>

<script>
import u2643 from "@/assets/images/test/u2643.png";
import u2650 from "@/assets/images/test/u2650.png";
import u2657  from '@/assets/images/test/u2657.png';
import u2664 from '@/assets/images/test/u2664.png';
import u2671 from '@/assets/images/test/u2671.png';
import u2678 from '@/assets/images/test/u2678.png';
import u2693 from '@/assets/images/test/u2693.png';
export default {
    name: "NewTest",
    props: {
        text1: {
            type: String,
            default: ''
        },
        text2: {
            type: String,
            default: ""
        },
        icon: {
            type: Number,
            default: 0
        },
        to: {
            type: String,
            default: ""
        }
    },
    data() {
        return {

        }
    },
    methods: {
        routeTo() {
            this.$router.push(this.to);
        }
    },
    computed: {
        url(){
            let url = "";
            switch (this.icon) {
                case 1:
                    url = u2650;
                    break;
                case 2:
                    url = u2657;
                    break;
                case 3:
                    url = u2664;
                    break;
                case 4:
                    url = u2671;
                    break;
                case 5:
                    url = u2678;
                    break;
                case 6:
                    url = u2693;
                    break;
                default:
                    url = u2643;
                    break;
            }
            return url;
        }
    }
}
</script>

<style scoped>
.new-test {
    display: inline-block;
    margin-left: 16px;
}
.new-test-icon img{
    width: auto;
    height: 70px;
}
.new-test-text-wrapper {
    display: inline-block;
}
.new-test-text {
    margin-right: 32px;
    height: 30px;
    color: rgb(51, 51, 51);
    font-size: 18px;
    font-weight: 700;
    text-align: center;
}
.new-test-content {
    padding-left: 36px;
}
.block-button {
    width: 100%;
}
</style>